<template>
  <div class="footer-title">

    <ul class="footer-list" v-if="isFooter">
      <li v-for="items in footArray" :class="{cur:items.isOn}" @click="toPage(items.titles)">
        <p class="math-icon" >
          <img :src="items.imgSrc" alt="">
        </p>
        <p class="item-txt">{{items.names}}</p>

      </li>
    </ul>
    <ul class="share-list" v-else>
      <li v-for="(item,index) in shareArr" @click="shares(index)">
        {{item.name}}
      </li>
    </ul>
  </div>
</template>

<script>
  export default {
    name: 'footers',
    props:{
       inWhitch:{
           type:Number
       },
      isFooter:{
           type:Boolean,
           default:true
      },
      userId:{
           type:String
      },
      shareArr:{
           type:Array
      }
    },
    data () {
      return {
        footArray:[{
            titles:"/",
            imgSrc:require('../assets/exam.png'),
            isOn:false,
            names:"学科"
        },{
          titles:"/myMistake",
          imgSrc:require('../assets/textIcon.png'),
          isOn:false,
          names:"我的错题本"
        },{
          titles:"/personCenter",
          imgSrc:require('../assets/user_icon.png'),
          isOn:false,
          names:"个人中心"
        },{
          titles:"/vips",
          imgSrc:require('../assets/members.png'),
          isOn:false,
          names:"尊享会员"
        }]
      }
    },
    created(){
      this.fixed();
    },
    mounted(){

    },
    methods:{
      fixed(){
      var vm=this;
        this.footArray=this.footArray.map((it,idx)=>{
            it.isOn=vm.inWhitch==idx;
            return {
              names:it.names,
              imgSrc:it.imgSrc,
              isOn:it.isOn,
              titles:it.titles
            }
          })
      },
      shares(i){
          this.$emit("share",i)
      },
      toPage(u){
          let vm=this;
          this.$router.push({path:u, query:{userId:vm.userId}})
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  @import "../styles/base.css";
  .footer-list, .share-list{
    position:fixed;
    display:-webkit-box;
    width:100%;
    left:0;
    bottom:0;
    padding:.2rem 0;
    background:#FFF;
    border-top:#e7e7e7 1px solid;
    z-index:4;
  }
  .footer-list li{
    width:25%;
    font-size:.48rem;
    text-align:center;
  }
  .footer-list .math-icon img{
    display:block;
    width:.8rem;
    height:.8rem;
    margin:.36rem auto;
  }
  .cur{
    color:#f60;
  }
  .share-list li{
    width:50%;
    display:-webkit-box;
    -webkit-box-align: center;
    -webkit-box-pack: center;
    line-height:1.8rem;
    font-size:.56em;
    text-align:center;
  }
  .share-list li:before{
    content:"";
    display:block;
    width:1rem;
    height:1rem;
    margin-right:.4rem;
    background:url(../assets/sayGood.png) no-repeat;
    background-size:1rem;
  }
  .share-list li:nth-child(2){
    border-left:#d1d1d1 1px solid;
  }
  .share-list li:nth-child(2):before{

    height:1.2rem;
    background:url(../assets/shares.png) no-repeat;
    background-size:1rem 1.2rem;
  }
</style>
